<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.89.4" />
    <meta name="description" content="The Attachments shortcode displays a list of files attached to a page.">
<meta name="author" content="D: Bonnéry">

    <link rel="shortcut icon" href="/images/de.jpg" type="image/x-icon" />
    <title>Attachments :: </title>

    
    <link href="/EnqueteQuantitative/pages/css/nucleus.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/fontawesome-all.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/hybrid.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/featherlight.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/perfect-scrollbar.min.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/auto-complete.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/atom-one-dark-reasonable.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/theme.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/tabs.css?1669732413" rel="stylesheet">
    <link href="/EnqueteQuantitative/pages/css/hugo-theme.css?1669732413" rel="stylesheet">
    
    <link href="/EnqueteQuantitative/pages/css/theme-red.css?1669732413" rel="stylesheet">
    
    

    <script src="/EnqueteQuantitative/pages/js/jquery-3.3.1.min.js?1669732413"></script>

    <style>
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/EnqueteQuantitative/pages/en/shortcodes/attachments/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href='/en'>

<font size="+3"> Enquêtes Quantitatives</font>
<img src="/images/de.jpg" alt="Cours de Daniel Bonnéry">


</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="search" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-times"></i></span>
</div>

<script type="text/javascript" src="/EnqueteQuantitative/pages/js/lunr.min.js?1669732413"></script>
<script type="text/javascript" src="/EnqueteQuantitative/pages/js/auto-complete.js?1669732413"></script>
<script type="text/javascript">
    
        var baseurl = "https:\/\/db-lectures.gitlab.io\/EnqueteQuantitative\/pages\/en";
    
</script>
<script type="text/javascript" src="/EnqueteQuantitative/pages/js/search.js?1669732413"></script>

    
  </div>
  
    <section id="homelinks">
      <ul>
        <li>
            <a class="padding" href='/en'><i class='fas fa-home'></i> Home</a>
        </li>
      </ul>
    </section>
  

    <div class="highlightable">
    <ul class="topics">

        
          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/1-principesstat/" title="Basics" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/1-principesstat/">
          <b>1. </b>Basics
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/" title="Shortcodes" class="dd-item
        parent
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/attachments/" title="Attachments" class="dd-item active">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/" title="Children" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/">
          Children
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/" title="page 1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/" title="page 2" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/children-3/" title="page 3" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/shortcodes/tabs/" title="Tabbed views" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/shortcodes/tabs/">
        Tabbed views
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/EnqueteQuantitative/pages/en/6-inference/" title="6-Inferences" class="dd-item
        
        
        
        ">
      <a href="/EnqueteQuantitative/pages/en/6-inference/">
          6-Inferences
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/EnqueteQuantitative/pages/en/6-inference/2020-12-01-r-rmarkdown/" title="2020 12 01 R Rmarkdown" class="dd-item ">
        <a href="/EnqueteQuantitative/pages/en/6-inference/2020-12-01-r-rmarkdown/">
        2020 12 01 R Rmarkdown
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
        
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li>
                  <a class="padding" href="https://gitlab.com/DB-lectures/EnqueteQuantitative/paquet-r"><i class='fab fa-fw fa-gitlab'></i> Dépot Gitlab</a>
              </li>
          
              <li>
                  <a class="padding" href="https://db-lectures.gitlab.io/EnqueteQuantitative/pages/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li>
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li>
                  <a class="padding" href="https://db-lectures.gitlab.io/en/EnqueteQuantitative/pages/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      

      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      
    </section>
  </div>
</nav>




        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://gitlab.com/DB-lectures/EnqueteQuantitative/pages/content/shortcodes/attachments.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/EnqueteQuantitative/pages/en/'>Learn Theme for Hugo</a> > <a href='/EnqueteQuantitative/pages/en/shortcodes/'>Shortcodes</a> > Attachments
          
        
          
        
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
  <ul>
    <li><a href="#usage">Usage</a>
      <ul>
        <li><a href="#parameters">Parameters</a></li>
        <li><a href="#examples">Examples</a></li>
      </ul>
    </li>
  </ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            
        <div id="head-tags">
        
        </div>
        
        <div id="body-inner">
          
            <h1>
              
              Attachments
            </h1>
          

        


<p>The Attachments shortcode displays a list of files attached to a page.</p>
<section class="attachments ">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Attachments
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/BachGavotteShort.mp3">BachGavotteShort.mp3</a>
      (357 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/hugo.png">hugo.png</a>
      (17 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/small_file.txt">small_file.txt</a>
      (48 B)
    </li>
  </div>
</section>

<h2 id="usage">Usage</h2>
<p>The shortcurt lists files found in a <strong>specific folder</strong>.
Currently, it support two implementations for pages</p>
<ol>
<li>
<p>If your page is a markdown file, attachements must be placed in a <strong>folder</strong> named like your page and ending with <strong>.files</strong>.</p>
<blockquote>
<ul>
<li>content
<ul>
<li>_index.md</li>
<li>page.files
<ul>
<li>attachment.pdf</li>
</ul>
</li>
<li>page.md</li>
</ul>
</li>
</ul>
</blockquote>
</li>
<li>
<p>If your page is a <strong>folder</strong>, attachements must be placed in a nested <strong>&lsquo;files&rsquo;</strong> folder.</p>
<blockquote>
<ul>
<li>content
<ul>
<li>_index.md</li>
<li>page
<ul>
<li>index.md</li>
<li>files
<ul>
<li>attachment.pdf</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</blockquote>
</li>
</ol>
<p>Be aware that if you use a multilingual website, you will need to have as many folders as languages.</p>
<p>That&rsquo;s all!</p>
<h3 id="parameters">Parameters</h3>
<table>
<thead>
<tr>
<th style="text-align:left">Parameter</th>
<th style="text-align:left">Default</th>
<th style="text-align:left">Description</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left">title</td>
<td style="text-align:left">&ldquo;Attachments&rdquo;</td>
<td style="text-align:left">List&rsquo;s title</td>
</tr>
<tr>
<td style="text-align:left">style</td>
<td style="text-align:left">&quot;&quot;</td>
<td style="text-align:left">Choose between &ldquo;orange&rdquo;, &ldquo;grey&rdquo;, &ldquo;blue&rdquo; and &ldquo;green&rdquo; for nice style</td>
</tr>
<tr>
<td style="text-align:left">pattern</td>
<td style="text-align:left">&ldquo;.*&rdquo;</td>
<td style="text-align:left">A regular expression, used to filter the attachments by file name. The <strong>pattern</strong> parameter value must be a <a href="https://en.wikipedia.org/wiki/Regular_expression">regular expression</a>.</td>
</tr>
</tbody>
</table>
<p>For example:</p>
<ul>
<li>To match a file suffix of &lsquo;.jpg&rsquo;, use <code>.*\.jpg$</code> (not <code>*.jpg</code>).</li>
<li>To match file names ending in &lsquo;.jpg&rsquo; or &lsquo;.png&rsquo;, use <code>.*\.(jpg|png)$</code>.</li>
</ul>
<h3 id="examples">Examples</h3>
<h4 id="list-of-attachments-ending-in-pdf-or-mp4">List of attachments ending in pdf or mp4</h4>
<pre><code>{{%attachments title=&quot;Related files&quot; pattern=&quot;.*\.(pdf|mp4)$&quot;/%}}
</code></pre>
<p>renders as</p>
<section class="attachments ">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Related files
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
  </div>
</section>

<h4 id="colored-styled-box">Colored styled box</h4>
<pre><code>{{%attachments style=&quot;orange&quot; /%}}
</code></pre>
<p>renders as</p>
<section class="attachments orange">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Attachments
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/BachGavotteShort.mp3">BachGavotteShort.mp3</a>
      (357 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/hugo.png">hugo.png</a>
      (17 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/small_file.txt">small_file.txt</a>
      (48 B)
    </li>
  </div>
</section>

<pre><code>{{%attachments style=&quot;grey&quot; /%}}
</code></pre>
<p>renders as</p>
<section class="attachments grey">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Attachments
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/BachGavotteShort.mp3">BachGavotteShort.mp3</a>
      (357 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/hugo.png">hugo.png</a>
      (17 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/small_file.txt">small_file.txt</a>
      (48 B)
    </li>
  </div>
</section>

<pre><code>{{%attachments style=&quot;blue&quot; /%}}
</code></pre>
<p>renders as</p>
<section class="attachments blue">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Attachments
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/BachGavotteShort.mp3">BachGavotteShort.mp3</a>
      (357 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/hugo.png">hugo.png</a>
      (17 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/small_file.txt">small_file.txt</a>
      (48 B)
    </li>
  </div>
</section>

<pre><code>{{%attachments style=&quot;green&quot; /%}}
</code></pre>
<p>renders as</p>
<section class="attachments green">
  <label>
    <i class="fas fa-paperclip" aria-hidden="true"></i>
    Attachments
  </label>
  <div class="attachments-files">
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/BachGavotteShort.mp3">BachGavotteShort.mp3</a>
      (357 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/Carroll_AliceAuPaysDesMerveilles.pdf">Carroll_AliceAuPaysDesMerveilles.pdf</a>
      (175 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/adivorciarsetoca00cape.pdf">adivorciarsetoca00cape.pdf</a>
      (361 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/hugo.png">hugo.png</a>
      (17 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/movieselectricsheep-flock-244-32500-2.mp4">movieselectricsheep-flock-244-32500-2.mp4</a>
      (340 KB)
    </li>
    <li>
      <a href="/EnqueteQuantitative/pages/en/shortcodes/attachments.en.files/small_file.txt">small_file.txt</a>
      (48 B)
    </li>
  </div>
</section>



<footer class="footline">
	
</footer>

        
        </div>
        

      </div>

    <div id="navigation">
        
        

        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        

        


	 
	 
		
			<a class="nav nav-prev" href="/EnqueteQuantitative/pages/en/shortcodes/" title="Shortcodes"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/EnqueteQuantitative/pages/en/shortcodes/button/" title="Button" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>

    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/EnqueteQuantitative/pages/js/clipboard.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/perfect-scrollbar.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/perfect-scrollbar.jquery.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/jquery.sticky.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/featherlight.min.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/highlight.pack.js?1669732413"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/EnqueteQuantitative/pages/js/modernizr.custom-3.6.0.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/learn.js?1669732413"></script>
    <script src="/EnqueteQuantitative/pages/js/hugo-learn.js?1669732413"></script>
    
        
            <script src="https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"></script>
        
        <script>
            mermaid.initialize({ startOnLoad: true });
        </script>
    
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>


  </body>
</html>

